#
# spec file for package xfce4-panel-plugin-timeout
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.8.0
%define plugin_name xfce4-time-out-plugin
Name:           xfce4-panel-plugin-timeout
Version:        1.0.2
Release:        lp151.2.2
Summary:        Time-out Plugin for the Xfce Panel
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-time-out-plugin
Source:         http://archive.xfce.org/src/panel-plugins/%{plugin_name}/1.0/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Time-out plugin allows to take breaks from computer work in configurable,
periodical intervals and will provide a notification and lock the screen each
the break time has been reached.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%make_install

rm %{buildroot}%{_libdir}/xfce4/panel/plugins/libtime-out.la

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%{_libdir}/xfce4/panel/plugins/libtime-out.so
%{_datadir}/icons/hicolor/*/apps/xfce4-time-out-plugin.*
%{_datadir}/xfce4/panel/plugins/xfce4-time-out-plugin.desktop

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue Mar 10 2015 gber@opensuse.org
- update to version 1.0.2
  - ditch _xfce_create_framebox() and use xfce_gtk_frame_box_new()
    instead
  - fix transparency (bxo#8747), set the Gtk.EventBox invisible
    like other panel plugins do
  - updated translations
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Tue Apr 17 2012 gber@opensuse.org
- update to version 1.0.1
  - port to libxfce4ui
  - build the plugin as a module
  - fix double-free when seconds are not displayed
  - port to GtkTooltip
  - emit the 'update' signal only if the countdown is running
  - only call gtk_progress_set_percentage() with valid value
- dropped obsolete
  xfce4-panel-plugin-timeout-1.0.0-hidden_progress_bar.patch
* Wed Apr  4 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Fri May 27 2011 gber@opensuse.org
- renamed xfce4-time-out-plugin-1.0.0-hidden_progress_bar.patch to
  xfce4-panel-plugin-timeout-1.0.0-hidden_progress_bar.patch
* Wed May 25 2011 pcerny@novell.com
- fixed invalid progress bar update
  xfce4-time-out-plugin-1.0.0-hidden_progress_bar.patch
  https://bugzilla.xfce.org/show_bug.cgi?id=7660
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
